# KSPCHEBYCHEV

The preconditioned Chebychev iterative method

### Options Database Keys

-ksp_chebychev_eigenvalues <emin,emax> -set approximations to the smallest and largest eigenvalues of the preconditioned operator. If these are accurate you will get much faster convergence.

Notes: The Chebychev method requires both the matrix and preconditioner to be symmetric positive (semi) definite

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP,
KSPChebychevSetEigenvalues()

Level:beginner
Location: src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages